
From: "Antonino A. Daplas" <adaplas@hotpop.com>

  convert from pci_module_init to pci_register_driver
  (from:http://kerneljanitors.org/TODO).

Signed-off-by: Christophe Lucas <c.lucas@ifrance.com>
Signed-off-by: Domen Puncer <domen@coderock.org>
Signed-off-by: Antonino Daplas <adaplas@pol.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/video/asiliantfb.c         |    2 +-
 25-akpm/drivers/video/aty/aty128fb.c       |    2 +-
 25-akpm/drivers/video/aty/atyfb_base.c     |    2 +-
 25-akpm/drivers/video/aty/radeon_base.c    |    2 +-
 25-akpm/drivers/video/chipsfb.c            |    2 +-
 25-akpm/drivers/video/cirrusfb.c           |    2 +-
 25-akpm/drivers/video/console/sticore.c    |    2 +-
 25-akpm/drivers/video/cyber2000fb.c        |    2 +-
 25-akpm/drivers/video/imsttfb.c            |    2 +-
 25-akpm/drivers/video/intelfb/intelfbdrv.c |    2 +-
 25-akpm/drivers/video/kyro/fbdev.c         |    2 +-
 25-akpm/drivers/video/pm2fb.c              |    2 +-
 25-akpm/drivers/video/pvr2fb.c             |    2 +-
 25-akpm/drivers/video/radeonfb.c           |    2 +-
 25-akpm/drivers/video/sstfb.c              |    2 +-
 25-akpm/drivers/video/tdfxfb.c             |    2 +-
 25-akpm/drivers/video/tgafb.c              |    2 +-
 25-akpm/drivers/video/tridentfb.c          |    2 +-
 18 files changed, 18 insertions(+), 18 deletions(-)

diff -puN drivers/video/asiliantfb.c~fbdev-convert-drivers-to-pci_register_driver drivers/video/asiliantfb.c
--- 25/drivers/video/asiliantfb.c~fbdev-convert-drivers-to-pci_register_driver	Mon Mar 14 15:31:13 2005
+++ 25-akpm/drivers/video/asiliantfb.c	Mon Mar 14 15:31:13 2005
@@ -604,7 +604,7 @@ static int __init asiliantfb_init(void)
 	if (fb_get_options("asiliantfb", NULL))
 		return -ENODEV;
 
-	return pci_module_init(&asiliantfb_driver);
+	return pci_register_driver(&asiliantfb_driver);
 }
 
 module_init(asiliantfb_init);
diff -puN drivers/video/aty/aty128fb.c~fbdev-convert-drivers-to-pci_register_driver drivers/video/aty/aty128fb.c
--- 25/drivers/video/aty/aty128fb.c~fbdev-convert-drivers-to-pci_register_driver	Mon Mar 14 15:31:13 2005
+++ 25-akpm/drivers/video/aty/aty128fb.c	Mon Mar 14 15:31:13 2005
@@ -2461,7 +2461,7 @@ static int __init aty128fb_init(void)
 	aty128fb_setup(option);
 #endif
 
-	return pci_module_init(&aty128fb_driver);
+	return pci_register_driver(&aty128fb_driver);
 }
 
 static void __exit aty128fb_exit(void)
diff -puN drivers/video/aty/atyfb_base.c~fbdev-convert-drivers-to-pci_register_driver drivers/video/aty/atyfb_base.c
--- 25/drivers/video/aty/atyfb_base.c~fbdev-convert-drivers-to-pci_register_driver	Mon Mar 14 15:31:13 2005
+++ 25-akpm/drivers/video/aty/atyfb_base.c	Mon Mar 14 15:31:13 2005
@@ -3681,7 +3681,7 @@ static int __init atyfb_init(void)
 #endif
 
 #ifdef CONFIG_PCI
-    pci_module_init(&atyfb_driver);
+    pci_register_driver(&atyfb_driver);
 #endif
 #ifdef CONFIG_ATARI
     atyfb_atari_probe();
diff -puN drivers/video/aty/radeon_base.c~fbdev-convert-drivers-to-pci_register_driver drivers/video/aty/radeon_base.c
--- 25/drivers/video/aty/radeon_base.c~fbdev-convert-drivers-to-pci_register_driver	Mon Mar 14 15:31:13 2005
+++ 25-akpm/drivers/video/aty/radeon_base.c	Mon Mar 14 15:31:13 2005
@@ -2551,7 +2551,7 @@ static int __init radeonfb_init (void)
 		return -ENODEV;
 	radeonfb_setup(option);
 #endif
-	return pci_module_init (&radeonfb_driver);
+	return pci_register_driver (&radeonfb_driver);
 }
 
 
diff -puN drivers/video/chipsfb.c~fbdev-convert-drivers-to-pci_register_driver drivers/video/chipsfb.c
--- 25/drivers/video/chipsfb.c~fbdev-convert-drivers-to-pci_register_driver	Mon Mar 14 15:31:13 2005
+++ 25-akpm/drivers/video/chipsfb.c	Mon Mar 14 15:31:13 2005
@@ -465,7 +465,7 @@ int __init chips_init(void)
 	if (fb_get_options("chipsfb", NULL))
 		return -ENODEV;
 
-	return pci_module_init(&chipsfb_driver);
+	return pci_register_driver(&chipsfb_driver);
 }
 
 module_init(chips_init);
diff -puN drivers/video/cirrusfb.c~fbdev-convert-drivers-to-pci_register_driver drivers/video/cirrusfb.c
--- 25/drivers/video/cirrusfb.c~fbdev-convert-drivers-to-pci_register_driver	Mon Mar 14 15:31:13 2005
+++ 25-akpm/drivers/video/cirrusfb.c	Mon Mar 14 15:31:13 2005
@@ -2623,7 +2623,7 @@ static int __init cirrusfb_init(void)
 	error |= zorro_module_init(&cirrusfb_zorro_driver);
 #endif
 #ifdef CONFIG_PCI
-	error |= pci_module_init(&cirrusfb_pci_driver);
+	error |= pci_register_driver(&cirrusfb_pci_driver);
 #endif
 	return error;
 }
diff -puN drivers/video/console/sticore.c~fbdev-convert-drivers-to-pci_register_driver drivers/video/console/sticore.c
--- 25/drivers/video/console/sticore.c~fbdev-convert-drivers-to-pci_register_driver	Mon Mar 14 15:31:13 2005
+++ 25-akpm/drivers/video/console/sticore.c	Mon Mar 14 15:31:13 2005
@@ -1058,7 +1058,7 @@ static void __init sti_init_roms(void)
 
 	/* Register drivers for native & PCI cards */
 	register_parisc_driver(&pa_sti_driver);
-	pci_module_init(&pci_sti_driver);
+	pci_register_driver(&pci_sti_driver);
 
 	/* if we didn't find the given default sti, take the first one */
 	if (!default_sti)
diff -puN drivers/video/cyber2000fb.c~fbdev-convert-drivers-to-pci_register_driver drivers/video/cyber2000fb.c
--- 25/drivers/video/cyber2000fb.c~fbdev-convert-drivers-to-pci_register_driver	Mon Mar 14 15:31:13 2005
+++ 25-akpm/drivers/video/cyber2000fb.c	Mon Mar 14 15:31:13 2005
@@ -1740,7 +1740,7 @@ static int __init cyber2000fb_init(void)
 	}
 #endif
 #ifdef CONFIG_PCI
-	err = pci_module_init(&cyberpro_driver);
+	err = pci_register_driver(&cyberpro_driver);
 	if (!err)
 		ret = 0;
 #endif
diff -puN drivers/video/imsttfb.c~fbdev-convert-drivers-to-pci_register_driver drivers/video/imsttfb.c
--- 25/drivers/video/imsttfb.c~fbdev-convert-drivers-to-pci_register_driver	Mon Mar 14 15:31:13 2005
+++ 25-akpm/drivers/video/imsttfb.c	Mon Mar 14 15:31:13 2005
@@ -1611,7 +1611,7 @@ static int __init imsttfb_init(void)
 
 	imsttfb_setup(option);
 #endif
-	return pci_module_init(&imsttfb_pci_driver);
+	return pci_register_driver(&imsttfb_pci_driver);
 }
  
 static void __exit imsttfb_exit(void)
diff -puN drivers/video/intelfb/intelfbdrv.c~fbdev-convert-drivers-to-pci_register_driver drivers/video/intelfb/intelfbdrv.c
--- 25/drivers/video/intelfb/intelfbdrv.c~fbdev-convert-drivers-to-pci_register_driver	Mon Mar 14 15:31:13 2005
+++ 25-akpm/drivers/video/intelfb/intelfbdrv.c	Mon Mar 14 15:31:13 2005
@@ -360,7 +360,7 @@ intelfb_init(void)
 	intelfb_setup(option);
 #endif
 
-	return pci_module_init(&intelfb_driver);
+	return pci_register_driver(&intelfb_driver);
 }
 
 static void __exit
diff -puN drivers/video/kyro/fbdev.c~fbdev-convert-drivers-to-pci_register_driver drivers/video/kyro/fbdev.c
--- 25/drivers/video/kyro/fbdev.c~fbdev-convert-drivers-to-pci_register_driver	Mon Mar 14 15:31:13 2005
+++ 25-akpm/drivers/video/kyro/fbdev.c	Mon Mar 14 15:31:13 2005
@@ -802,7 +802,7 @@ static int __init kyrofb_init(void)
 		return -ENODEV;
 	kyrofb_setup(option);
 #endif
-	return pci_module_init(&kyrofb_pci_driver);
+	return pci_register_driver(&kyrofb_pci_driver);
 }
 
 static void __exit kyrofb_exit(void)
diff -puN drivers/video/pm2fb.c~fbdev-convert-drivers-to-pci_register_driver drivers/video/pm2fb.c
--- 25/drivers/video/pm2fb.c~fbdev-convert-drivers-to-pci_register_driver	Mon Mar 14 15:31:13 2005
+++ 25-akpm/drivers/video/pm2fb.c	Mon Mar 14 15:31:13 2005
@@ -1282,7 +1282,7 @@ static int __init pm2fb_init(void)
 	pm2fb_setup(option);
 #endif
 
-	return pci_module_init(&pm2fb_driver);
+	return pci_register_driver(&pm2fb_driver);
 }
 
 module_init(pm2fb_init);
diff -puN drivers/video/pvr2fb.c~fbdev-convert-drivers-to-pci_register_driver drivers/video/pvr2fb.c
--- 25/drivers/video/pvr2fb.c~fbdev-convert-drivers-to-pci_register_driver	Mon Mar 14 15:31:13 2005
+++ 25-akpm/drivers/video/pvr2fb.c	Mon Mar 14 15:31:13 2005
@@ -967,7 +967,7 @@ static struct pci_driver pvr2fb_pci_driv
 
 static int __init pvr2fb_pci_init(void)
 {
-	return pci_module_init(&pvr2fb_pci_driver);
+	return pci_register_driver(&pvr2fb_pci_driver);
 }
 
 static void pvr2fb_pci_exit(void)
diff -puN drivers/video/radeonfb.c~fbdev-convert-drivers-to-pci_register_driver drivers/video/radeonfb.c
--- 25/drivers/video/radeonfb.c~fbdev-convert-drivers-to-pci_register_driver	Mon Mar 14 15:31:13 2005
+++ 25-akpm/drivers/video/radeonfb.c	Mon Mar 14 15:31:13 2005
@@ -3150,7 +3150,7 @@ static int __init radeonfb_old_init (voi
 		return -ENODEV;
 	radeonfb_old_setup(option);
 #endif
-	return pci_module_init (&radeonfb_driver);
+	return pci_register_driver (&radeonfb_driver);
 }
 
 
diff -puN drivers/video/sstfb.c~fbdev-convert-drivers-to-pci_register_driver drivers/video/sstfb.c
--- 25/drivers/video/sstfb.c~fbdev-convert-drivers-to-pci_register_driver	Mon Mar 14 15:31:13 2005
+++ 25-akpm/drivers/video/sstfb.c	Mon Mar 14 15:31:13 2005
@@ -1575,7 +1575,7 @@ static int __devinit sstfb_init(void)
 		return -ENODEV;
 	sstfb_setup(option);
 #endif
-	return pci_module_init(&sstfb_driver);
+	return pci_register_driver(&sstfb_driver);
 }
 
 #ifdef MODULE
diff -puN drivers/video/tdfxfb.c~fbdev-convert-drivers-to-pci_register_driver drivers/video/tdfxfb.c
--- 25/drivers/video/tdfxfb.c~fbdev-convert-drivers-to-pci_register_driver	Mon Mar 14 15:31:13 2005
+++ 25-akpm/drivers/video/tdfxfb.c	Mon Mar 14 15:31:13 2005
@@ -1350,7 +1350,7 @@ static int __init tdfxfb_init(void)
 
 	tdfxfb_setup(option);
 #endif
-        return pci_module_init(&tdfxfb_driver);
+        return pci_register_driver(&tdfxfb_driver);
 }
 
 static void __exit tdfxfb_exit(void)
diff -puN drivers/video/tgafb.c~fbdev-convert-drivers-to-pci_register_driver drivers/video/tgafb.c
--- 25/drivers/video/tgafb.c~fbdev-convert-drivers-to-pci_register_driver	Mon Mar 14 15:31:13 2005
+++ 25-akpm/drivers/video/tgafb.c	Mon Mar 14 15:31:13 2005
@@ -1540,7 +1540,7 @@ tgafb_init(void)
 		return -ENODEV;
 	tgafb_setup(option);
 #endif
-	return pci_module_init(&tgafb_driver);
+	return pci_register_driver(&tgafb_driver);
 }
 
 /*
diff -puN drivers/video/tridentfb.c~fbdev-convert-drivers-to-pci_register_driver drivers/video/tridentfb.c
--- 25/drivers/video/tridentfb.c~fbdev-convert-drivers-to-pci_register_driver	Mon Mar 14 15:31:13 2005
+++ 25-akpm/drivers/video/tridentfb.c	Mon Mar 14 15:31:13 2005
@@ -1264,7 +1264,7 @@ static int __init tridentfb_init(void)
 	tridentfb_setup(option);
 #endif
 	output("Trident framebuffer %s initializing\n", VERSION);
-	return pci_module_init(&tridentfb_pci_driver);
+	return pci_register_driver(&tridentfb_pci_driver);
 }
 
 static void __exit tridentfb_exit(void)
_
